#include <stdio.h>
#include <fcntl.h>
int main(int argc, char **argv) {
	int fd, count = 0;
	unsigned char ch;
	fd = open(argv[1], O_RDONLY);
	while (read(fd, &ch, 1)) {
		if (!count)
			printf("\t\"");
		printf("\\x%.2x", ch);
		count++;
		if (count == 16) {
			printf("\" \\\n");
			count = 0;
		}
	}
	if (count != 0)
		printf("\"\n");
}
	